Subject: Re: [PATCH] gitweb: suppress 'Use of uninitialized value' error

From: Jakub Narebski <[email-masked]>
Date: Fri, 31 Jul 2009 08:24:41 +0200

Giuseppe Bilotta wrote:
> 2009/7/31 Jakub Narebski <[email-masked]>:

> > I don't think gitweb generates such
> > broken links (with 'hash_parent_base' but not 'file_parent') normally,
> > but I might be mistaken.
> 
> Do you think it would be worth to protect against this case?

Yes, of course it is worth protecting against this case (better checking
if both sides of 'eq' comparison are defined).  We want to return error
message from gitweb if URL is borked, not have Perl error in logs.

-- 
Jakub Narebski
Poland